Gnuplot
=======

Open a window and nicely graph the content of a blc_channel.

Install
=======

Requiert gnuplot.

- Ubuntu: `sudo apt-get install gnuplot`
- Mac OSX: `brew install gnuplot --with-qt`

Usage
=====
`o_gnuplot <channel>` graphs the content of the channel.

By default the graph is refreshed at 10Hz, you can change the **period** using `-P`

You may want to graph the evolution of data over the time. You  precise how many past values you want to display with `-H`.
By default they are updated each 10ms, change it with `-p`.

e.g. `i_keyboard | o_gnuplot -H1000` displays the changes with your keyboard (see **bapps**) with a history of 10 seconds (1000 `-H` values of 10ms `-p`). 
To change the values you must be focus on the terminal.

You can change the type of display ( default lines) using the `-w` option e.g. dots or boxes. For more information about the with option see gnuplot documenton.

Change any setting of gnuplot using `-t`. e.g. `o_gnuplot  -w "boxes"  -t "set boxwidth 0.9 absolute; set key left" `.
This sets a boxwidth of 0.9 and puts the legend on the left.

Links
=====

- [gnuplot Quick Reference](http://www.gnuplot.info/docs_4.0/gpcard.pdf) Summary of th main functions.
- [gnuplot](http://www.gnuplot.info) Official website
- [gnuplotting](http://www.gnuplotting.org) Nice blogs with lot of original exemples
- [Complete pdf manual](http://www.usm.uni-muenchen.de/people/puls/lessons/intro_general/gnuplot/gpdocu.pdf)
- [Impossible gnuplot graphs](http://www.phyast.pitt.edu/~zov1/gnuplot/html/intro.html) see specifically [stats function](http://www.phyast.pitt.edu/~zov1/gnuplot/patch/stats.html)  (syntax is deprecated but the principle is there)
- [not so Frequently Asked Questions](http://lowrank.net/gnuplot/index-e.html)
- [gnuplot surprising](http://gnuplot-surprising.blogspot.fr) A bit old (2012) but interesting
